div {
    border:1px solid red;
}

/** Cascade **/

div.cascade {
    height:100px;
    margin-bottom:10px;
}

div.cascade {
    background-color: yellow;
}

/** Inheritance **/

div {
    background-color: white;
}

div.inheritance-outer {
    padding: 20px;
    /** background-color ne s'hérite pas **/
    background-color: cyan; 

    /** font s'hérite **/
    font-family:  'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
}

div.inheritance-inner {
    padding: 20px;
}

/** Specificity **/
/* 
    ele: 1
    class: 10
    id: 100
*/
div.specificity { /* 11 */
    height:100px;
    margin-bottom:10px;
}
body div.specificity { /* 12 */
    background-color: green;
}

div.specificity { /* 11 */
    background-color: yellow;
}
